<app-alert [message]="displaySuccessMessage" [type]="messageType.success" id="alert">
</app-alert>
<block-ui message="Loading..."> </block-ui>
<div class="">
  <span id="heading">Email Template</span>
  <mat-tab-group color="warn">
    <mat-tab label="Details">
      <div class="row mt-3">
        <div class="col-xl-5">
          <!-- <app-alert [message]="displaySuccessMessage" [type]="messageType.success"></app-alert> -->
        </div>
        <div class="col-xl-7 d-flex justify-content-end align-items-center">
          <div class="ml-auto">
            <mat-button-toggle-group appearance="legacy" name="status" aria-label="status" class="ml-3" value="active" (change)="EmailActiveChanged($event)">
              <mat-button-toggle value="active" id="mat-button-toggle-11">Active</mat-button-toggle>
              <mat-button-toggle value="inactive" id="mat-button-toggle-12">Inacitve</mat-button-toggle>
            </mat-button-toggle-group>
          </div>
          <div class="ml-3">
            <button mat-raised-button color="accent"
                    *appAccess="moduleName;lookFor: ['C','E']"
                    [routerLink]="['/settings/emailtemplate/add']" class="wide">
              Add Template
            </button>
          </div>
        </div>
      </div>

      <div *ngIf="listViewEmailShow" class="mt-3">
        <kendo-grid [data]="gridView" [pageSize]="pageSize" [skip]="skip" [pageable]="true" [columnMenu]="true" [reorderable]="true" [filterable]="true" [filter]="statestatus.filter" (dataStateChange)="dataStateChangestatus($event)" [sortable]="true" [groupable]="true"
                    [group]="groups" [reorderable]="reorder" [sortable]="{
                      allowUnsort: allowUnsort,
                      mode: multiple ? 'multiple' : 'single'
                    }" [sort]="sort" (sortChange)="sortChangestatus($event)" (groupChange)="groupChangestatus($event)">
          <kendo-grid-column field="name" title="Name" width="50">
            <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
              <a class="bold_20px_font" [routerLink]="['/settings/emailtemplate/edit', dataItem.id]">
                {{ dataItem.name }}
              </a>
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="description" title="Description" width="50" [style]="{'text-align': 'center'}">
            <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
              <span class="descriptionText">{{ dataItem.description }}</span>
            </ng-template>
          </kendo-grid-column>
          <kendo-grid-column field="locationName" title="Location" width="50">
          </kendo-grid-column>
          <kendo-grid-column field="modifiedBy" title="Created By" width="50">
          </kendo-grid-column>
          <kendo-grid-column field="modifiedDate" title="Created On" width="50">
            <ng-template kendoGridCellTemplate let-dataItem>
              {{ dataItem.modifiedDate | date: 'dd/MM/yyyy' }}
            </ng-template>
          </kendo-grid-column>
        </kendo-grid>
      </div>
      <app-grid-no-data [title]="emailTitle" [routeLink]="emailRouteLink" [routeName]="emailRouteName" [description]="emailDescription" id="emailNoData">
      </app-grid-no-data>
    </mat-tab>
  </mat-tab-group>
</div>
